class CharacterBase {
  int centerX;
  int centerY;
  int speedX;
  int speedY;

  CharacterBase() {
    centerX = (int)random(width);
    centerY = (int)random(height);
    speedX = (int)random(1, 5);
    speedY = (int)random(1, 5);
  }

  void move()
  {
    centerX += speedX;
    centerY += speedY;
    if(centerX < 0){
      speedX = -speedX;
      centerX = -centerX;
    }
    if(centerY < 0){
      speedY = -speedY;
      centerY = -centerY;
    }
    if(centerX > width){
      speedX = -speedX;
      centerX = width * 2 - centerX;
    }
    if(centerY > height){
      speedY = -speedY;
      centerY = height * 2 - centerY;
    }
  }
  
  void displayActive()
  {
    pushMatrix();
    translate(centerX, centerY);
    // ここから下にプログラムを書く
    fill(255);
    stroke(0);
    rect(-30, -30, 60, 60); 
    // ここから上にプログラムを書く
    popMatrix();
  }

  // 非活性状態のキャラクタを描く
  void displayInactive()
  {
    pushMatrix();
    translate(centerX, centerY);
    // ここから下にプログラムを書く
    fill(0);
    stroke(0);
    rect(-30, -30, 60, 60); 
    // ここから上にプログラムを書く
    popMatrix();
  }
}
